var breathing_animation = function(canvas, options = {}) {

	options.inhale_text = options.inhale_text || ["breathe in"];
	options.exhale_text = options.exhale_text || ["breathe out"];
	options.duration = options.duration || 5000; 
	options.pause_time = options.pause_time || 500

	canvas.addClass("animation-canvas");

	// draw the "breathe in" in the DOM
	var text = $('<div></div>')
		.attr("class", "center-text")
		.text(options.inhale_text[0])
		.hide()
		.appendTo(canvas);

	// draw the circle animation thing
	var circle = $('<div></div>')
		.attr("class", "center-circle")
		.appendTo(canvas);

	// set the settings for the circle
	var circle = new ProgressBar.Circle(circle[0], {
        color: '#ffffff',
        duration: options.duration,
        easing: 'easeInOut'
    });

    // this will be used to determine what cycle the breath is on, so that you can change the text over time or the animation
    // eg: "Breathe in" to "Relax Your Shoulders" after X number of breaths
	var cycle_number = 0,
		half_life = options.duration / 2; // this will just be a useful variable that determines the half life of the breath, which will in turn make the text easier to control
    // this function will call breathe_text and make the animation actually happen
    var animate_that_bitch = function() {

    	text.stop();

		text.text(options.inhale_text[cycle_number])
			.fadeIn(half_life)
			.fadeOut(half_life);

		circle.animate(1, function() {


			setTimeout(function(){
		    	
		    	text.stop();
				
				text.text(options.exhale_text[cycle_number])
					.fadeIn(half_life)
					.fadeOut(half_life);

		    	circle.animate(0, function(){
		    		cycle_number = (cycle_number + 1 >= options.inhale_text.length) ? 0 : cycle_number + 1;
		    		
		    		setTimeout(function(){
		    			animate_that_bitch();
		    		}, options.pause_time);
		    		
		    	});

		    }, options.pause_time);

	    });


	};

	animate_that_bitch();

};