// get the background setup
var initialize_background = function() {

	var url_data = helpers.get_json_from_url(document.location.href),
		background_id = url_data.background,
		background_type = url_data.type;

	var background = img_video_map[background_type].filter(function(d){return d.id.toString() == background_id.toString();})[0],
		background_el;

	if (background.type == "img") {
		background_el = $("img#background");
		background_el.attr("src", background.src);
		background_el.css("display", "initial");
	};

	if (background.type == "video") {

		// <video autoplay muted loop id="video-background" style="display: none;">
		// 	<source type="video/mp4">
		// </video>

		var video = $('<video autoplay muted loop id="video-background"></video>')
			source = $('<source type="video/mp4" src="' + background.src + '"></source>').appendTo(video);

		video.prependTo("#overlay");
		
		// var source = $("source", background_el);
		// source.attr("src", background.src);



	};

}();

chrome.storage.sync.get(['exceptions'], function(result) {
	console.log(result.exceptions);
})

// SO BASICALLY...
// this script will go "IF <current_url> is on <blocklist> THEN show cool-ass mindfulness animation with an option to exit out of it"
// the "cool-ass mindfulness animation" will be a full-length <div> element that covers the screen no matter the size and contains the .gif file or whatever
// within the user interface, the user has to have the ability to exit out of the animation of they want to
breathing_animation($("#meditation"), {	
	inhale_text: ["breathe in", "breathe in", "relax your shoulders", "take a deep breath in", "breathe in", "each inhale...", "breathe in", "breathe in", "everything is okay", "accept each breath"],
	exhale_text: ["breathe out", "breathe out", "soften your eyes", "and exhale any tension", "and just follow...", "and each exhale.", "and let go", "breathe out", "let go of thoughts", "focus on the present"]
});

var accessories = function() {

	var overlay = $("div#overlay"),
		animation = $("div#overlay video#video-background"),
		animation = $("div#overlay video#video-background"),
		escape_el = $("div#overlay div#escape");

	var options = {
		breath_duration: 5000
	};

	// this will make the "yes I'm sure" button work
	var yes_im_sure_button = function() {

		var origin = window.location.href.split("&origin=")[1];

		origin = new URL(origin);

		// If your expected result is "http://foo.bar/?x=1&y=2&x=42"
		origin.searchParams.append('jodb-noblock', 'true');

		$("#im-sure-link").attr("href", "#")
			.on("click", function(){
					
				// this will be to save in the Chrome storage API for later
				var root_url = helpers.base_url(window.location.href.split("&origin=")[1]);

				chrome.storage.sync.get(['exceptions'], function(result) {

					exceptions = result.exceptions;
					exceptions = (typeof exceptions === 'undefined') ? [] : exceptions;

					var current_time = new Date,
						new_time = current_time.addMinutes(15);

					// remove all existing exceptions for this website...
					exceptions = exceptions.filter(function(e){return e.url != root_url});

					exceptions.push({url: root_url, time: new_time.toGMTString()});

					chrome.storage.sync.set({
						exceptions: exceptions
					}, function(){
						chrome.runtime.sendMessage({request: 'update_settings'});
						window.location = origin;
					});

				});

			});

	}();

	// "let's meditate" 
	var interaction = function() {

		$("div#escape div#no").on("click", function() {
			
			// _gaq.push(['_trackEvent', "escape-text", "clicked"]);

		    // do cool animation stuff to the otehr text
		    $('#upper-text,#lower-text,#escape').fadeOut();

		    // play audio
		    $("audio")[0].play();

		});

	}();

	var continue_text = function() {

		var upper_text = $('#upper-text');
		upper_text.delay(options.breath_duration * 2 + 1000)
			.fadeIn(2000);

		// draw the "breathe in" in the DOM
		var lower_text = $('#lower-text');	
		lower_text.delay((options.breath_duration * 2) + 3000)
			.fadeIn(2000);

		// draw the continue buttons in the DOM
		escape_el.delay((options.breath_duration * 2) + 5000)
			.fadeIn();

	}();

}();