// when the user installs the app - this will come up
var onboard_url = chrome.extension.getURL('onboard.html');

chrome.runtime.onInstalled.addListener(function (object) {
    chrome.tabs.create({url: onboard_url}, function (tab) {});
});

// this will load all the adult websites on the filter list

// var adult_site_list;
// const url = chrome.runtime.getURL('/static/adult-site-list.json');

// fetch(url)
//     .then((response) => response.json()) //assuming file contains json
//     .then((json) => function(){
//         alert(adult_site_list.length);
//         adult_site_list = json.map(function(site){return site.url});
//     }); // we only need to grab the URL because we're just matching);

// $.getJSON(chrome.extension.getURL(''), function(result) {
//     adult_site_list = result
// });

// this is the big kkahuna - it will hold the blocklist, the master_switch, porn settings, etc. - anything that is a setting will reside here
// TODO: CHANGE ALL OF THESE TO CHROME SETTINGS
var odb_settings = {};
var update_settings = function() {

    var variables = [
        'blocklist',
        'master_switch', 
        'adult_filter',
        'master_timer',
        'schedule_mode_master_switch',
        'schedules',
        'work_timer',
        'exceptions'
    ];

    var defaults = {
        'blocklist': [],
        'master_switch': 'true', 
        'adult_filter': 'true',
        'master_timer': '',
        'schedule_mode_master_switch': 'false',
        'schedules': null,
        'work_timer': null,
        'exceptions': []
    }

    chrome.storage.sync.get(variables, function(result){

        variables.forEach(function(variable){
            
            odb_settings[variable] = result[variable];

            // if it's empty, then populate a default variable
            if (typeof result[variable] == 'undefined') {
                odb_settings[variable] = defaults[variable];
            }

        });

    });

}

// setup listeners to change variables when someone edits something in options.html/options.js, it'll shoot a message in the following format...
// {request: 'update_settings'}
// when this happends, run the functions that update these variables using the chrome API
function listeners() {

    chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
            
        if (request.request == 'update_settings') {update_settings();}
        if (request.request == 'inline_block') {

            var redirect_url = chrome.extension.getURL('redirect.html');
            var background = get_random_background();
            chrome.tabs.update(sender.tab.id, {url: redirect_url + "?background=" + background.id.toString() + "&type=" + background.type + "&origin=" + request.redirect});
        
        }
        
        if (request.request == 'inline_block_popup') {
            var redirect_url = chrome.extension.getURL('redirect.html');
            var background = get_random_background();
            chrome.tabs.update(request.tab_id, {url: redirect_url + "?background=" + background.id.toString() + "&type=" + background.type + "&origin=" + request.redirect});
        }

    });

};



update_settings();
listeners();

// chrome.webRequest.onBeforeRequest.addListener(
//     check_url,
//     {urls: ["<all_urls>"], types: ["main_frame"]},
//     ['blocking']
// );

chrome.runtime.setUninstallURL("https://docs.google.com/forms/d/e/1FAIpQLSd1T-MShzk2aWAe3-nl9_aAexhKNcJFff1rk7mTTIyqT90cAg/viewform?usp=sf_link", function(){
    // CALLBACK
});