function opt_in_frame(email) {

	var frame = $("#opt-in-frame");

	function fade_in_frame() {
		
		frame.css("display", "block");

		frame.fadeOut(0, function(){
			
			frame.fadeIn(default_transition_time, function(){

			});

		});

	};

	function transition_to_next_frame() {

		$("#opt-in-frame").animate({"opacity": 0}, default_transition_time, "swing", function(){
			
			$("#opt-in-frame").remove();

			welcome_frame();

		});

	};

	function interaction() {

		function mailchimp_signup_interaction(email, opt_in) {

            var form = $("form#mc-embedded-subscribe-form"),
                first_name_input = $("form#mc-embedded-subscribe-form #mce-FNAME"),
                email_input = $("form#mc-embedded-subscribe-form #mce-EMAIL");

            email_input.val(email);
            first_name_input.val(opt_in);

            $form = form;

            $.ajax({
                type: 'POST',
                url: $form.attr("action"),
	            data: $form.serialize(),
	            cache: false,
	            dataType: "jsonp",
	            jsonp: "c",
	            contentType: "application/json; charset=utf-8",
                error: function(err) {
                  console.log("mailchimp error");
                },
                success: function(data) {
                  console.log("mailchimp success");
                }
            });

            // form.submit();

	    }

		$(".opt-in-btn", frame).on("click", function(){

			$(".opt-in-btn", frame).off("click");

			var opted = $(this).data("value");

			// this will add a variable to the first name field if the user clicks it
			if (opted == "yes") {
				// _gaq.push(['_trackEvent', "opted-in", "true"]);
				mailchimp_signup_interaction(email, "TRUE");	
			} else {
				mailchimp_signup_interaction(email, "");
			};

			transition_to_next_frame();

		});

	};

	function run() {
		fade_in_frame();
		interaction();
	};

	run();


};