function welcome_frame() {

	// there is a link on this that'll take the user to options - make sure you generate this properly
	var options_link = chrome.extension.getURL('options.html');
	$("#welcome-frame a.options-link").attr("href", options_link);

	var welcome_frame = $("#welcome-frame"),
		welcome_frame_msg_1 = $("#welcome-frame #msg-1"),
		welcome_frame_msg_2 = $("#welcome-frame #msg-2"),
		welcome_frame_msg_3 = $("#welcome-frame #msg-3");

	welcome_frame.css("display", "block");
	welcome_frame.fadeOut(0, function(){
		
		welcome_frame.fadeIn(0, function(){

			welcome_frame_msg_1.css('opacity', 1)
				.delay(2500)
				.queue(function(next){
					welcome_frame_msg_1.css('opacity', 0);
					next();
				})
				.delay(default_transition_time)
				.queue(function(next){
					welcome_frame_msg_1.css('display', 'none');
					welcome_frame_msg_2.css('opacity', 1);
					next();
				})
				.delay(3000)
				.queue(function(next){

					breathing_animation($("#welcome-frame #meditation"), {
						inhale_text: ["breathe in", "relax your shoulders", "breathe in", "breathe in"],
						exhale_text: ["breathe out", "soften your eyes", "breathe out", "let go"]
					});
					next();

				})
				.delay(5000)
				.queue(function(next){
					welcome_frame_msg_3.css("opacity", 1);
					next();
				});

		});

	});

};